## paintitblack-grub-theme 2018.4.0-1

=== Makefile ===
#!/usr/bin/make -f

include ./VERSION

all: background logo font icons menu slider highlight userpass themetxt livetxt
icons: theme/icons/*.svg

dir:
	mkdir -p build/$(CODENAME_SAFE)

iconsdir:
	mkdir -p build/$(CODENAME_SAFE)/icons

background: dir
	inkscape --without-gui \
		 --export-width=1024 \
		 --export-height=768 \
		 --export-png="build/$(CODENAME_SAFE)/$@.png" \
			svg/$@.svg

logo: dir
	inkscape --without-gui \
		 --export-width=1024 \
		 --export-height=100 \
		 --export-png="build/$(CODENAME_SAFE)/logo.png" \
			svg/logo.svg

userpass: dir
	inkscape --without-gui \
		 --export-png="build/$(CODENAME_SAFE)/userpass.png" \
			theme/userpass.svg

font: dir
	grub-mkfont -s 16 -o build/$(NAME)/u_vga16_16.pf2 template/u_vga16.bdf

slider_n: dir
	inkscape --without-gui \
		--export-area=0:16:32:32 \
		--export-png="build/$(CODENAME_SAFE)/slider_n.png" \
			theme/dot_white.svg

slider_c: dir
	inkscape --without-gui \
		--export-area=0:16:32:17 \
		--export-png="build/$(CODENAME_SAFE)/slider_c.png" \
			theme/dot_white.svg

slider_s: dir
	inkscape --without-gui \
		--export-area=0:0:32:16 \
		--export-png="build/$(CODENAME_SAFE)/slider_s.png" \
			theme/dot_white.svg

slider: slider_n slider_c slider_s

menu_e: dir
	inkscape --without-gui \
		--export-area=16:16:32:17 \
		--export-png="build/$(CODENAME_SAFE)/menu_e.png" \
			theme/dot_black.svg

menu_c: dir
	inkscape --without-gui \
		--export-area=16:16:17:17 \
		--export-png="build/$(CODENAME_SAFE)/menu_c.png" \
			theme/dot_black.svg

menu: menu_c menu_e

highlight_w: dir
	inkscape --without-gui \
		--export-area=0:0:16:32 \
		--export-png="build/$(CODENAME_SAFE)/highlight_w.png" \
			theme/dot_black.svg

highlight_c: dir
	inkscape --without-gui \
		--export-area=16:0:17:32 \
		--export-png="build/$(CODENAME_SAFE)/highlight_c.png" \
			theme/dot_black.svg

highlight_e: dir
	inkscape --without-gui \
		--export-area=16:0:32:32 \
		--export-png="build/$(CODENAME_SAFE)/highlight_e.png" \
			theme/dot_black.svg

highlight: highlight_w highlight_c highlight_e

theme/icons/*.svg: iconsdir
	inkscape --without-gui \
		--export-width=32 \
		--export-height=32 \
		--export-png="$(patsubst theme/icons/%.svg,build/$(CODENAME_SAFE)/icons/%.png,$@)" \
			$@

themetxt:
	cp -v theme/theme.txt build/$(CODENAME_SAFE)

livetxt:
	cp -a build/$(CODENAME_SAFE) build/$(CODENAME_SAFE)-live
	cp -v theme/theme-live.txt build/$(CODENAME_SAFE)-live/theme.txt


clean:
	$(RM) -r build

=== debian/changelog ===
paintitblack-grub-theme (2018.4.0-1) unstable; urgency=medium

  * new bootstrap for 2018.4.0

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 May 2018 17:52:17 +0200

paintitblack-grub-theme (2016.08.05) unstable; urgency=medium

  * new highlight and normal colors for grub

 -- Alf Gaida <agaida@siduction.org>  Fri, 12 Aug 2016 22:49:21 +0200

paintitblack-grub-theme (2016.08.04) unstable; urgency=medium

  * new bootstrap, added grub-common

 -- Alf Gaida <agaida@siduction.org>  Mon, 08 Aug 2016 22:29:07 +0200

paintitblack-grub-theme (2016.08.03) unstable; urgency=medium

  * Added inkscape as build dependency

 -- Alf Gaida <agaida@siduction.org>  Mon, 08 Aug 2016 20:48:29 +0200

paintitblack-grub-theme (2016.08.01) unstable; urgency=medium

  * new bootstrap, introducing a real working themed grub

 -- Alf Gaida <agaida@siduction.org>  Mon, 08 Aug 2016 20:12:29 +0200

paintitblack-grub-theme (2015.08.01) unstable; urgency=medium

  * new grub-theme package, reworked, cleaned up

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Aug 2015 23:01:29 +0200

paintitblack-grub-theme (2015.1.00) unstable; urgency=low

  * initial release

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Aug 2015 23:00:16 +0200

=== debian/control ===
Source: paintitblack-grub-theme
Section: graphics
Priority: optional
Maintainer: Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 11),
               inkscape,
               grub-common
Standards-Version: 4.1.4
Vcs-Git: https://git.siduction.org/artwork/grub-theme
Vcs-Browser: https://git.siduction.org/artwork/grub-theme


Package: paintitblack-grub-theme
Architecture: all
Depends: ${misc:Depends},
Description: grub-theme for PaintItBlack
 mostly copy from grub-sources

Package: paintitblack-live-grub-theme
Architecture: all
Depends: ${misc:Depends},
         paintitblack-grub-theme
Description: live grub-theme for PaintItBlack
 mostly copy from grub-sources (live)
